MP4(3)

NAME

MP4GetTrackAudioMpeg4Type - Get the encoding type of an MPEG-4 audio track

SYNTAX

#include <mp4.h>

u_int8_t MP4GetTrackAudioMpeg4Type(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the MPEG-4 audio type is desired.

RETURN VALUES

Upon success, the MPEG-4 audio type of the track. Upon error, MP4_MPEG4_INVALID_AUDIO_TYPE is returned.

DESCRIPTION

MP4GetTrackAudioMpeg4Type returns the MPEG-4 encoding type of the specified MPEG-4 audio track in the mp4 file. If an mp4 audio track has type MP4_MPEG4_AUDIO_TYPE, this call can be used to determine which specific MPEG-4 audio encoding is contained in the track. (Note: This information is retrieved from the audio track ES configuration.)

Known audio encoding types are:

MP4_MPEG4_AAC_MAIN_AUDIO_TYPE
    MPEG-4 AAC Main profile

MP4_MPEG4_AAC_LC_AUDIO_TYPE
    MPEG-4 AAC Low Complexity profile

MP4_MPEG4_AAC_SSR_AUDIO_TYPE
    MPEG-4 AAC SSR profile

MP4_MPEG4_AAC_LTP_AUDIO_TYPE
    MPEG-4 AAC Long Term Prediction profile

MP4_MPEG4_AAC_SCALABLE_AUDIO_TYPE
    MPEG-4 AAC Scalable

MP4_MPEG4_CELP_AUDIO_TYPE
    MPEG-4 CELP

MP4_MPEG4_HVXC_AUDIO_TYPE
    MPEG-4 HVXC

MP4_MPEG4_TTSI_AUDIO_TYPE
    MPEG-4 Text To Speech

MP4_MPEG4_MAIN_SYNTHETIC_AUDIO_TYPE
    MPEG-4 Main Synthetic profile

MP4_MPEG4_WAVETABLE_AUDIO_TYPE
    MPEG-4 Wavetable Synthesis profile

MP4_MPEG4_MIDI_AUDIO_TYPE
    MPEG-4 MIDI profile

MP4_MPEG4_ALGORITHMIC_FX_AUDIO_TYPE
    MPEG-4 Algorithmic Synthesis and Audio FX profile

SEE ALSO

MP4(3) MP4GetTrackAudioType(3)